import { parseHrefParam } from "../plugins/utils";

const MD5 = require("js-md5");

// domain
export function getOrgCode() {
  let domain;
  const paramCode =
    parseHrefParam(window.location.href, "code") ||
    window.sessionStorage.getItem("paramDomainCode");
  if (paramCode) {
    domain = paramCode;
    window.sessionStorage.setItem("paramDomainCode", domain);
    return domain;
  }

  domain = window.localStorage.getItem("domain_in_url");
  if (domain) return domain;

  const ipFormat = new RegExp(/\d{1,3}\.\d{1,3}\.\d{1,3}\.\d{1,3}/);
  const hostname = window.location.hostname;
  if (ipFormat.test(hostname) || hostname.includes("localhost")) return "";

  domain = hostname.split(".")[0];
  return domain;
}

export const PLATFORM = "WEB";

if (!localStorage.getItem("deviceId")) {
  localStorage.setItem("deviceId", MD5(Math.random() + "-" + Date.now()));
}
export const DEVICE_ID = localStorage.getItem("deviceId");
